Bug 51307 - [MAINTAINER] [patch] databases/gigabase: update from 2.81 to 2.82
Summary: [MAINTAINER] [patch] databases/gigabase: update from 2.81 to 2.82
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-23 10:10 UTC by osa
Modified: 2009-01-14 20:28 UTC (History)
0 users

See Also:


Attachments
file.diff (1.21 KB, patch)
2003-04-23 10:10 UTC, osa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description osa 2003-04-23 10:10:15 UTC
	databases/gigabase: update from 2.81 to 2.82
	change --prefix to ${LOCALBASE}
Comment 1 Anton Berezin 2003-04-23 10:53:53 UTC
On Wed, Apr 23, 2003 at 01:09:12PM +0400, Sergey A.Osokin wrote:

> 	databases/gigabase: update from 2.81 to 2.82
> 	change --prefix to ${LOCALBASE}

jail# make
>> gigabase-2.82.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
>> Attempting to fetch from http://www.garret.ru/~knizhnik/.
Receiving gigabase-2.82.tar.gz (1168147 bytes): 100%
1168147 bytes transferred in 10.8 seconds (105.56 kBps)
===>  Extracting for gigabase-2.82
>> Checksum mismatch for gigabase-2.82.tar.gz.
===>  Refetch for 1 more times files: gigabase-2.82.tar.gz 
>> gigabase-2.82.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
>> Attempting to fetch from http://www.garret.ru/~knizhnik/.
fetch: http://www.garret.ru/~knizhnik/gigabase-2.82.tar.gz: Requested
Range Not 
Satisfiable
>> Attempting to fetch from
>> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
fetch:
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/gigabase-2.82.tar.gz:
F
ile unavailable (e.g., file not found, no access)
>> Couldn't fetch it - please try to retrieve this
>> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop in /usr/ports/databases/gigabase.
*** Error code 1

Stop in /usr/ports/databases/gigabase.
Comment 2 osa 2003-04-23 11:54:33 UTC
On Wed, Apr 23, 2003 at 11:53:53AM +0200, Anton Berezin wrote:
> On Wed, Apr 23, 2003 at 01:09:12PM +0400, Sergey A.Osokin wrote:
> 
> > 	databases/gigabase: update from 2.81 to 2.82
> > 	change --prefix to ${LOCALBASE}
> 
> jail# make
> >> gigabase-2.82.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
> >> Attempting to fetch from http://www.garret.ru/~knizhnik/.
> Receiving gigabase-2.82.tar.gz (1168147 bytes): 100%
> 1168147 bytes transferred in 10.8 seconds (105.56 kBps)
> ===>  Extracting for gigabase-2.82
> >> Checksum mismatch for gigabase-2.82.tar.gz.
> ===>  Refetch for 1 more times files: gigabase-2.82.tar.gz 
> >> gigabase-2.82.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
> >> Attempting to fetch from http://www.garret.ru/~knizhnik/.
> fetch: http://www.garret.ru/~knizhnik/gigabase-2.82.tar.gz: Requested
> Range Not 
> Satisfiable
> >> Attempting to fetch from
> >> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/.
> fetch:
> ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/gigabase-2.82.tar.gz:
> F
> ile unavailable (e.g., file not found, no access)
> >> Couldn't fetch it - please try to retrieve this
> >> port manually into /usr/ports/distfiles/ and try again.
> *** Error code 1

Author reroll distro...
Try a new patch.

Index: ports/databases/gigabase/Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/gigabase/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- ports/databases/gigabase/Makefile	27 Mar 2003 20:28:56 -0000	1.45
+++ ports/databases/gigabase/Makefile	23 Apr 2003 10:54:26 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gigabase
-PORTVERSION=	2.81
+PORTVERSION=	2.82
 CATEGORIES=	databases
 MASTER_SITES=	http://www.garret.ru/~knizhnik/
 
@@ -18,6 +18,7 @@
 USE_GMAKE=	yes
 USE_LIBTOOL=	yes
 CONFIGURE_TARGET=	--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
+CONFIGURE_ARGS?=--prefix=${LOCALBASE}
 CONFIGURE_ENV=	CPPFLAGS="${PTHREAD_CFLAGS}" LDFLAGS="${PTHREAD_LIBS}"
 INSTALLS_SHLIB=	yes
 
Index: ports/databases/gigabase/distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/gigabase/distinfo,v
retrieving revision 1.44
diff -u -r1.44 distinfo
--- ports/databases/gigabase/distinfo	27 Mar 2003 20:28:56 -0000	1.44
+++ ports/databases/gigabase/distinfo	23 Apr 2003 10:54:26 -0000
@@ -1 +1 @@
-MD5 (gigabase-2.81.tar.gz) = e960c222dd8c0cf5d8a00d4ae87b59d1
+MD5 (gigabase-2.82.tar.gz) = 1e567975b2ac104199da354fc6a6f27f
-- 

Rgdz,                        /"\  ASCII RIBBON CAMPAIGN
Sergey Osokin aka oZZ,       \ /    AGAINST HTML MAIL
http://ozz.pp.ru/             X          AND NEWS
                             / \
Comment 3 Anton Berezin freebsd_committer 2003-04-23 12:30:26 UTC
State Changed
From-To: open->closed

Update committed, thanks!